Tesseract 3.02

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Public Member Functions | Public Attributes
tesseract::FRAGMENT Class Reference

`#include <wordrec.h>`

Inheritance diagram for tesseract::FRAGMENT:

List of all members.

## Public Member Functions

| FRAGMENT ()
| FRAGMENT (EDGEPT *head_pt, EDGEPT *tail_pt)
Public Member Functions inherited from ELIST_LINK
| ELIST_LINK ()
| ELIST_LINK (const ELIST_LINK &)
void | operator= (const ELIST_LINK &)

## Public Attributes

ICOORD | head
ICOORD | tail
EDGEPT * | headpt
EDGEPT * | tailpt

## Detailed Description

Definition at line 75 of file wordrec.h.

## Constructor & Destructor Documentation

tesseract::FRAGMENT::FRAGMENT | ( |  | ) |

inline

Definition at line 78 of file wordrec.h.

{ //constructor
}

tesseract::FRAGMENT::FRAGMENT | ( | EDGEPT * | head_pt,
|  | EDGEPT * | tail_pt
| ) |  |

## Member Data Documentation

ICOORD tesseract::FRAGMENT::head

Definition at line 83 of file wordrec.h.

EDGEPT* tesseract::FRAGMENT::headpt

Definition at line 85 of file wordrec.h.

ICOORD tesseract::FRAGMENT::tail

Definition at line 84 of file wordrec.h.

EDGEPT* tesseract::FRAGMENT::tailpt

Definition at line 86 of file wordrec.h.

The documentation for this class was generated from the following file:

- /mnt/data/src/tesseract-ocr/wordrec/wordrec.h